List favorites
GET
/v1/favorites
const url = 'https://api.meridiantrack.com/v1/favorites?userId=example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.meridiantrack.com/v1/favorites?userId=example' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”userId
required
string
User ID (required for API key auth)
Responses
Section titled “Responses”List of favorites
Media typeapplication/json
object
items
Array<object>
object
id
string
description
string
projectId
string
clientId
string
billable
boolean
tagIds
Array<string>
sortOrder
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{ "items": [ { "id": "example", "description": "example", "projectId": "example", "clientId": "example", "billable": true, "tagIds": [ "example" ], "sortOrder": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" } ]}